Skip to content

List the history of a security access review

Request

OAuth 2.0 scope:
  • okta.governance.securityAccessReviews.endUser.read

Lists the history of actions and changes for a security access review

Path
securityAccessReviewIdstringrequired

The ID of the security access review

Query
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
GET
/governance/api/v2/my/security-access-reviews/{securityAccessReviewId}/history
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v2/my/security-access-reviews/{securityAccessReviewId}/history?after=00u68w6vzKLultXS97g6&limit=20'

Responses

A successful security access review history get response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects, [ 0 .. 200 ] items(security-access-review-history-item)

Lists all events occurred on a given security access review. The history covers all such events and actions.

Response
{ "data": [ {} ], "_links": { "self": {} } }